NXOpen .NET Reference  12.0.0
NXOpen.Sketch Member List

This is the complete list of members for NXOpen.Sketch, including all inherited members.

Activate(NXOpen.Sketch.ViewReorient orientView)NXOpen.Sketch
AddEllipseOption enum nameNXOpen.Sketch
AddGeometry(NXOpen.DisplayableObject crv, NXOpen.Sketch.InferConstraintsOption inferCoincidentConstraints)NXOpen.Sketch
AddGeometry(NXOpen.DisplayableObject crv)NXOpen.Sketch
AddGeometry(NXOpen.Curve crv, NXOpen.Sketch.InferConstraintsOption inferCoincidentConstraints, NXOpen.Sketch.AddEllipseOption ellipseOption)NXOpen.Sketch
AddGeometry(NXOpen.Sketch.InferConstraintsOption inferCoincidentConstraints, NXOpen.Sketch.AddEllipseOption ellipseOption, NXOpen.SmartObject[] curvesOrPoints)NXOpen.Sketch
AlternateSolutionOption enum nameNXOpen.Sketch
AssocType enum nameNXOpen.Sketch
AttachPlaneNXOpen.Sketch
AttributeType enum nameNXOpen.NXObject
AutoConstrain(double linearTolerance, double angularTolerance, bool allowRemoteConstraints, NXOpen.SmartObject[] geometries, NXOpen.Sketch.ConstraintType[] autoconstraintTypes)NXOpen.Sketch
AutoDimensioningRule enum nameNXOpen.Sketch
Blank()NXOpen.DisplayableObject
BreakAssociativity(NXOpen.NXObject[] sketchGeoms)NXOpen.Sketch
ColorNXOpen.DisplayableObject
ConstraintClass enum nameNXOpen.Sketch
ConstraintGeometryHelpType enum nameNXOpen.Sketch
ConstraintPointType enum nameNXOpen.Sketch
ConstraintType enum nameNXOpen.Sketch
ConvertToNx10Spline(NXOpen.Spline spline)NXOpen.Sketch
CopyObjects(NXOpen.NXObject[] inputObjects)NXOpen.Sketch
CopyObjectsWithDimensionOutput(NXOpen.NXObject[] inputObjects, out NXOpen.NXObject[] outputObjects, out NXOpen.NXObject[] outputDims)NXOpen.Sketch
CopyObjectsWithTracking(NXOpen.DisplayableObject[] inputObjects)NXOpen.Sketch
CreateAttributeIterator()NXOpen.NXObject
CreateCoincidentConstraint(NXOpen.Sketch.ConstraintGeometry geom1, NXOpen.Sketch.ConstraintGeometry geom2)NXOpen.Sketch
CreateCollinearConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketch
CreateConcentricConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketch
CreateConstantAngleConstraint(NXOpen.Sketch.ConstraintGeometry conGeom)NXOpen.Sketch
CreateConstantLengthConstraint(NXOpen.Sketch.ConstraintGeometry conGeom)NXOpen.Sketch
CreateDiameterDimension(NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Point3d dimOrigin, NXOpen.Expression expression)NXOpen.Sketch
CreateDiameterDimension(NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Point3d dimOrigin, NXOpen.Expression expression, NXOpen.Sketch.DimensionOption refDim)NXOpen.Sketch
CreateDimension(NXOpen.Sketch.ConstraintType dimType, NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Sketch.DimensionGeometry dimObject2, NXOpen.Point3d dimOrigin, NXOpen.Expression expression)NXOpen.Sketch
CreateDimension(NXOpen.Sketch.ConstraintType dimType, NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Sketch.DimensionGeometry dimObject2, NXOpen.Point3d dimOrigin, NXOpen.Expression expression, NXOpen.Sketch.DimensionOption refDim)NXOpen.Sketch
CreateDimensionOption enum nameNXOpen.Sketch
CreateEqualLengthConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketch
CreateEqualRadiusConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketch
CreateFixedConstraint(NXOpen.Sketch.ConstraintGeometry geom)NXOpen.Sketch
CreateFullyFixedConstraints(NXOpen.Sketch.ConstraintGeometry geom)NXOpen.Sketch
CreateHorizontalConstraint(NXOpen.Sketch.ConstraintGeometry geom)NXOpen.Sketch
CreateInferConstraintSetting enum nameNXOpen.Sketch
CreateInferConstraintsSettingNXOpen.Sketch
CreateMidpointConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketch
CreateNonUniformScaledConstraint(NXOpen.Sketch.ConstraintGeometry conGeom)NXOpen.Sketch
CreateNormalConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometryHelp geom1Help, NXOpen.Sketch.ConstraintGeometry conGeom2, NXOpen.Sketch.ConstraintGeometryHelp geom2Help)NXOpen.Sketch
CreateParallelConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketch
CreatePerimeterDimension(NXOpen.Curve[] curves, NXOpen.Point3d dimOrigin, NXOpen.Expression expression)NXOpen.Sketch
CreatePerpendicularConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketch
CreatePointOnCurveConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2, NXOpen.Sketch.ConstraintGeometryHelp help)NXOpen.Sketch
CreatePointOnStringConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Curve[] curvesInString, NXOpen.Sketch.ConstraintGeometryHelp helpData, int curveWhichHelpParamAppliesTo)NXOpen.Sketch
CreatePointOnStringConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Curve curveInString, NXOpen.Sketch.ConstraintGeometryHelp helpData)NXOpen.Sketch
CreateRadialDimension(NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Point3d dimOrigin, NXOpen.Expression expression)NXOpen.Sketch
CreateRadialDimension(NXOpen.Sketch.DimensionGeometry dimObject1, NXOpen.Point3d dimOrigin, NXOpen.Expression expression, NXOpen.Sketch.DimensionOption refDim)NXOpen.Sketch
CreateSlopeConstraint(NXOpen.Sketch.ConstraintGeometry conGeom1, NXOpen.Sketch.ConstraintGeometry conGeom2)NXOpen.Sketch
CreateTangentConstraint(NXOpen.Sketch.ConstraintGeometry geom1, NXOpen.Sketch.ConstraintGeometryHelp geom1Help, NXOpen.Sketch.ConstraintGeometry geom2, NXOpen.Sketch.ConstraintGeometryHelp geom2Help)NXOpen.Sketch
CreateUniformScaledConstraint(NXOpen.Sketch.ConstraintGeometry conGeom)NXOpen.Sketch
CreateVerticalConstraint(NXOpen.Sketch.ConstraintGeometry geom)NXOpen.Sketch
DateAndTimeFormat enum nameNXOpen.NXObject
Deactivate(NXOpen.Sketch.ViewReorient orientView, NXOpen.Sketch.UpdateLevel updateLevel)NXOpen.Sketch
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObject
DeleteConstraintsOnGeometries(NXOpen.NXObject[] objects)NXOpen.Sketch
DeleteConstraintsOnGeometries(NXOpen.Sketch.ConstraintGeometry[] objects)NXOpen.Sketch
DeleteConstraintsOnGeometries(NXOpen.Sketch.ConstraintClass conClass, NXOpen.Sketch.ConstraintGeometry[] objects)NXOpen.Sketch
DeleteObjects(NXOpen.NXObject[] objects)NXOpen.Sketch
DeleteThirdCurveOption enum nameNXOpen.Sketch
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DimensionOption enum nameNXOpen.Sketch
DOFDisplayNXOpen.Sketch
EditSplineDefiningPoints(NXOpen.Spline spline, double[] points)NXOpen.Sketch
EditSplinePoles(NXOpen.Spline spline, double[] poles)NXOpen.Sketch
FeatureNXOpen.Sketch
Fillet(NXOpen.Curve curve1, NXOpen.Curve curve2, NXOpen.Point3d helpPoint1, NXOpen.Point3d helpPoint2, double radius, NXOpen.Sketch.TrimInputOption doTrim, NXOpen.Sketch.CreateDimensionOption createRadiusDim, NXOpen.Sketch.AlternateSolutionOption alternateSolution, out NXOpen.SketchConstraint[] constraints)NXOpen.Sketch
Fillet(NXOpen.Curve curve1, NXOpen.Curve curve2, NXOpen.Point3d helpPoint1, NXOpen.Point3d helpPoint2, NXOpen.Point3d pointOnArc, double radius, NXOpen.Sketch.TrimInputOption doTrim, NXOpen.Sketch.CreateDimensionOption createRadiusDim, NXOpen.Sketch.AlternateSolutionOption alternateSolution, out NXOpen.SketchConstraint[] constraints)NXOpen.Sketch
Fillet(NXOpen.Curve curve1, NXOpen.Curve curve2, NXOpen.Curve curve3, NXOpen.Point3d helpPoint1, NXOpen.Point3d helpPoint2, NXOpen.Point3d helpPoint3, double radius, NXOpen.Sketch.TrimInputOption doTrim, NXOpen.Sketch.DeleteThirdCurveOption doDelete, NXOpen.Sketch.CreateDimensionOption createRadiusDim, NXOpen.Sketch.AlternateSolutionOption alternateSolution, out NXOpen.SketchConstraint[] constraints)NXOpen.Sketch
Fillet(NXOpen.Curve curve1, NXOpen.Curve curve2, NXOpen.Curve curve3, NXOpen.Point3d helpPoint1, NXOpen.Point3d helpPoint2, NXOpen.Point3d helpPoint3, NXOpen.Point3d pointOnArc, double radius, NXOpen.Sketch.TrimInputOption doTrim, NXOpen.Sketch.DeleteThirdCurveOption doDelete, NXOpen.Sketch.CreateDimensionOption createRadiusDim, NXOpen.Sketch.AlternateSolutionOption alternateSolution, out NXOpen.SketchConstraint[] constraints)NXOpen.Sketch
FindObject(string journalIdentifier)NXOpen.NXObject
FlipNormal()NXOpen.Sketch
FlipReferenceDirection()NXOpen.Sketch
GetAllConstraintsOfType(NXOpen.Sketch.ConstraintClass conClass, NXOpen.Sketch.ConstraintType conType)NXOpen.Sketch
GetAllExpressions()NXOpen.Sketch
GetAllGeometry()NXOpen.Sketch
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetBooleanUserAttribute(string title, int index)NXOpen.NXObject
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObject
GetConstraintsForGeometry(NXOpen.SmartObject geometry, NXOpen.Sketch.ConstraintClass conClass)NXOpen.Sketch
GetIntegerAttribute(string title)NXOpen.NXObject
GetIntegerUserAttribute(string title, int index)NXOpen.NXObject
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObject
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObject
GetRealAttribute(string title)NXOpen.NXObject
GetRealUserAttribute(string title, int index)NXOpen.NXObject
GetReferenceAttribute(string title)NXOpen.NXObject
GetReferenceDirection(out NXOpen.IReferenceAxis referenceAxis, out NXOpen.AxisOrientation referenceAxisOrientation, out NXOpen.Sense referenceAxisSense)NXOpen.Sketch
GetStatus(out int dofNeeded)NXOpen.Sketch
GetStringAttribute(string title)NXOpen.NXObject
GetStringUserAttribute(string title, int index)NXOpen.NXObject
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObject
GetTimeUserAttribute(string title, int index)NXOpen.NXObject
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributes()NXOpen.NXObject
GetUserAttributes(bool includeUnset)NXOpen.NXObject
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObject
GetUserAttributesAsStrings()NXOpen.NXObject
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeSourceObjects()NXOpen.NXObject
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObject
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
HideDimensions(NXOpen.DisplayableObject[] inputObjects)NXOpen.Sketch
HideDimensions()NXOpen.Sketch
HideDimensions(NXOpen.Sketch.ConstraintGeometry[] objects)NXOpen.Sketch
Highlight()NXOpen.DisplayableObject
InferConstraintsOption enum nameNXOpen.Sketch
IsActiveNXOpen.Sketch
IsBlankedNXOpen.DisplayableObject
IsDraftingSketchNXOpen.Sketch
IsInternalNXOpen.Sketch
IsOccurrenceNXOpen.NXObject
JournalIdentifierNXOpen.NXObject
LayerNXOpen.DisplayableObject
LineFontNXOpen.DisplayableObject
LineWidthNXOpen.DisplayableObject
LocalUpdate()NXOpen.Sketch
MakeDatumsExternal()NXOpen.Sketch
MakeDatumsExternal2()NXOpen.Sketch
MakeDatumsInternal()NXOpen.Sketch
ManageConstraintsAfterEdit(NXOpen.NXObject[] sketchGeoms, bool preserveComplexConstraints)NXOpen.Sketch
NameNXOpen.NXObject
NameLocationNXOpen.DisplayableObject
ObjectFont enum nameNXOpen.DisplayableObject
ObjectWidth enum nameNXOpen.DisplayableObject
OrientationNXOpen.Sketch
OriginNXOpen.Sketch
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
PlaneOption enum nameNXOpen.Sketch
PreferencesNXOpen.Sketch
Print()NXOpen.NXObject
PrototypeNXOpen.NXObject
Reattach(NXOpen.ISurface attachmentPlane, NXOpen.IReferenceAxis referenceAxis, NXOpen.Vector3d referenceDirection, NXOpen.AxisOrientation referenceAxisOrientation, NXOpen.Sense referenceAxisSense, NXOpen.PlaneNormalOrientation normalOrientation, NXOpen.Point3d localCoordinateSystemOrigin)NXOpen.Sketch
RedisplayObject()NXOpen.DisplayableObject
RemoveRedundantVertices(NXOpen.NXObject[] geoms)NXOpen.Sketch
RemoveViewDependency()NXOpen.DisplayableObject
RunAutoDimension()NXOpen.Sketch
Scale(double scaleFactor)NXOpen.Sketch
SetAttribute(string title, int value)NXOpen.NXObject
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, double value)NXOpen.NXObject
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, string value)NXOpen.NXObject
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title)NXOpen.NXObject
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObject
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObject
SetName(string name)NXOpen.NXObject
SetNameLocation(NXOpen.Point3d location)NXOpen.DisplayableObject
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObject
SetReferenceAttribute(string title, string value)NXOpen.NXObject
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetReferenceDirection(NXOpen.IReferenceAxis referenceAxis, NXOpen.Vector3d referenceDirection, NXOpen.AxisOrientation referenceAxisOrientation, NXOpen.Sense referenceAxisSense)NXOpen.Sketch
SetTimeAttribute(string title, string value)NXOpen.NXObject
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObject
ShowDimensions(NXOpen.DisplayableObject[] inputObjects)NXOpen.Sketch
ShowDimensions()NXOpen.Sketch
ShowDimensions(NXOpen.Sketch.ConstraintGeometry[] objects)NXOpen.Sketch
Status enum nameNXOpen.Sketch
TrimInputOption enum nameNXOpen.Sketch
Unblank()NXOpen.DisplayableObject
Unhighlight()NXOpen.DisplayableObject
Update()NXOpen.Sketch
Update(NXOpen.NXObject[] geoms)NXOpen.Sketch
UpdateConstraintDisplay()NXOpen.Sketch
UpdateConstraintDisplay(NXOpen.SmartObject[] geoms)NXOpen.Sketch
UpdateDimensionDisplay()NXOpen.Sketch
UpdateDimensionDisplay(NXOpen.SmartObject[] geoms)NXOpen.Sketch
UpdateDimensionDisplay(NXOpen.NXObject[] dims)NXOpen.Sketch
UpdateGeometryDisplay()NXOpen.Sketch
UpdateGeometryDisplay(NXOpen.SmartObject[] geoms)NXOpen.Sketch
UpdateLevel enum nameNXOpen.Sketch
UpdateScopeNXOpen.Sketch
ViewNXOpen.Sketch
ViewReorient enum nameNXOpen.Sketch
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.